FROM golang
RUN mkdir /app
COPY ./ /app
ENV CGO_ENABLED=0 \
    GOOS=linux
WORKDIR /app
RUN go build -o client calculator/client/client.go

FROM alpine:latest
RUN apk --no-cache add ca-certificates
COPY --from=0 /app /app
WORKDIR ./app
CMD ["/app/calculator/client/client"]